X2Go Bug report logs - #1348
ssh key discovery doesn't work with python-x2go

version graph

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: bill-gmail@carpenter.org

Date: Sun, 25 Nov 2018 04:05:02 UTC

Severity: normal

Found in version 0.6.0.1-0~1415~ubuntu18.04.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


đź”— View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#1348 closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 (Bug migrated to gitlab.x2go.org)
Message-ID: <handler.1348.b1348.170474551718912.notifdone@bugs.x2go.org>
References: <20240108202512.Horde.HlZXgzrNT3xA2mm-JQqEyCB@mail.das-netzwerkteam.de>
X-X2go-PR-Message: they-closed 1348
X-X2go-PR-Package: python-x2go
X-X2go-PR-Source: python-x2go
Date: Mon, 08 Jan 2024 20:30:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1704745802-19374-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the python-x2go package:

#1348: ssh key discovery doesn't work with python-x2go

It has been closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <mike.gabriel@das-netzwerkteam.de> by
replying to this email.


-- 
1348: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1348
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1348@bugs.x2go.org
Subject: Bug migrated to gitlab.x2go.org
Date: Mon, 08 Jan 2024 20:25:12 +0000
[Message part 3 (text/plain, inline)]
Control: close -1

See https://gitlab.x2go.org/x2go/client/libs/python-x2go/-/issues/1

-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 4 (application/pgp-signature, inline)]
[Message part 5 (message/rfc822, inline)]
From: Bill Carpenter <wjcarpenter@gmail.com>
To: submit@bugs.x2go.org
Subject: ssh key discovery doesn't work with python-x2go
Date: Sat, 24 Nov 2018 20:02:36 -0800
[Message part 6 (text/plain, inline)]
Package: python-x2go
Version: 0.6.0.1-0~1415~ubuntu18.04.1


If a profile enables "Discover SSH keys or use SSH agent for X2Go
authentication" (that's from the PyHoca-GUI profile editor), then neither
pyhaca-gui nor pyhoca-cli can connect. The result is "pyhoca-cli: error: No
existing session". Explicitly specifying the SSH private key works. The
x2goclient (non-python) does not have this problem.

Here is some debug output of the failure.

wjc@nyuknyuk:~$ pyhoca-cli --libdebug -P stormy
pyhoca-cli[3957] NOTICE: preparing requested X2Go session
pyhoca-cli[3957] (PyHocaCLI) NOTICE: preparing requested X2Go session
pyhoca-cli[3957] (x2goinifiles-pylib) INFO: proposed config files are ['
*/home/wjc/*.x2goclient/sessions']
pyhoca-cli[3957] (x2goinifiles-pylib) INFO: config files found: ['
*/home/wjc/*.x2goclient/sessions']
pyhoca-cli[3957] (x2goinifiles-pylib) INFO: proposed config files are ['
*/home/wjc/*.x2goclient/settings']
pyhoca-cli[3957] (x2goinifiles-pylib) INFO: config files found: ['
*/home/wjc/*.x2goclient/settings']
pyhoca-cli[3957] (x2goinifiles-pylib) INFO: proposed config files are ['
*/home/wjc/*.x2goclient/printing']
pyhoca-cli[3957] (x2goinifiles-pylib) INFO: config files found: ['
*/home/wjc/*.x2goclient/printing']
pyhoca-cli[3957] (x2gosession-pylib) DEBUG: X2Go control session parameters
for profile stormy:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     username: wjc
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     key_filename:
*/home/wjc/*.ssh/id_rsa

pyhoca-cli[3957] (x2gosession-pylib) DEBUG: unique_hostkey_aliases: False
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     look_for_keys: True
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     allow_agent: True
pyhoca-cli[3957] (x2gosession-pylib) DEBUG: X2Go terminal session
parameters for profile stormy:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     client_encoding: ISO8859-1
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     set_session_title: False
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     snd_system: pulse
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     xinerama: False
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     server_encoding: UTF-8
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     kbtype: auto
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     rdp_server:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     snd_port: 4713
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     applications:
[u'WWWBROWSER', u'MAILCLIENT', u'OFFICE', u'TERMINAL']
pyhoca-cli[3957] (x2gosession-pylib) DEBUG: published_applications: False
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     cmd: XFCE
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     link: lan
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     xdmcp_server: localhost
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     kbvariant: null
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     geometry: 1440x900
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     rdp_options:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     session_type: desktop
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     convert_encoding: False
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     clipboard: both
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     kblayout: us
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     session_title:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     dpi: 96
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     pack: 16m-jpeg-9
pyhoca-cli[3957] (x2gosession-pylib) DEBUG: X2Go sshproxy parameters for
profile stormy:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG: sshproxy_look_for_keys: False
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     sshproxy_host:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG: sshproxy_key_filename:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     sshproxy_user:
pyhoca-cli[3957] (x2gosession-pylib) DEBUG:     sshproxy_port: 22
pyhoca-cli[3957] (x2gosession-pylib) DEBUG: initializing X2GoControlSession
pyhoca-cli[3957] (x2gosessregistry-pylib) NOTICE: registering X2Go session
stormy...
pyhoca-cli[3957] (x2gosessregistry-pylib) DEBUG: registering X2Go session
with UUID 3902ce3c-f052-11e8-8b86-94c6911c02ca
pyhoca-cli[3957] (x2goclient-pylib) NOTICE: initializing X2Go session...
pyhoca-cli[3957] (x2gocontrolsession-pylib) NOTICE: connecting to [
stormy.carpenter.org]:22
pyhoca-cli[3957] (x2gocontrolsession-pylib) DEBUG: trying SSH key discovery
or agent authentication with server
No handlers could be found for logger "paramiko.transport"
pyhoca-cli: error: No existing session
pyhoca-cli[3957] (x2goguardian-pylib) DEBUG: X2Go session guardian thread
waking up after 1 seconds
pyhoca-cli[3957] (x2goguardian-pylib) DEBUG: calling session cleanup on
profile stormy for terminal session:
[Message part 7 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Apr 15 12:58:13 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.